set pagesize 24
col tablespace_name format a10
col segment_name format a18
create tablespace INDX
datafile '<home-directory>/DATA/DISK3/indx01.dbf' size 50M
/
drop table scott.sales
/

CREATE TABLE scott.sales
( office_cd   NUMBER(3),  
  qtr_end    DATE,
  revenue    NUMBER(10,2),
  review     VARCHAR2(1000),
  CONSTRAINT sales_pk PRIMARY KEY(office_cd, qtr_end)
)
 ORGANIZATION INDEX 
 TABLESPACE indx
 PCTTHRESHOLD 20
 INCLUDING review
 OVERFLOW TABLESPACE user_data
/

select table_name,tablespace_name, iot_name, iot_type
from dba_tables
where owner='SCOTT' and iot_type in ('IOT','IOT_OVERFLOW')
/
select index_name,index_type,tablespace_name,table_name
from dba_indexes
where index_name='SALES_PK'
/
select segment_name,tablespace_name, segment_type
from dba_segments
where segment_name = 'SALES_PK' or 
      segment_name like 'SYS_IOT%'
/
