REM Edit the following to specify appropriate values:
REM Change 
REM     <home-directory>/initset.ora in the startup command to 
REM             specify the name of the parameter file
REM     <database-name> in the create database command to specify correct database name
REM     <home-directory> to the home directory of the UNIX class account
REM

connect internal
startup nomount pfile= init_x.ora

rem Both redo logs are intentionally created in the same directory.

create database oracle_sid
datafile '$HOME/DATA/DISK1/system01.dbf' size 50m
logfile  '$HOME/DATA/DISK3/log1a.rdo' size 300k,
         '$HOME/DATA/DISK3/log2a.rdo' size 300k
CHARACTER SET WE8ISO8859P1;

@?/rdbms/admin/catalog
@?/rdbms/admin/catproc
@?/rdbms/admin/catexp

create tablespace temp
     datafile '$HOME/DATA/DISK1/temp01.dbf' size 20M 
     default storage (initial 10k next 10k pctincrease 0);

create tablespace rbs
     datafile '$HOME/DATA/DISK2/rbs01.dbf' size 30m;

create tablespace user_data
     datafile '$HOME/DATA/DISK2/user01.dbf' size 100M
     default storage (initial 10k next 10k pctincrease 0);

create rollback segment rbs01;
       storage ( initial 500k next 200k minextents 20 maxextents unlimited 
       optimal 5m )
       tablespace rbs;

create rollback segment rbs02
       storage ( initial 1m next 200k minextents 20 maxextents unlimited 
       optimal 10m )
       tablespace rbs;

create rollback segment rbs03
       storage ( initial 500k next 200k minextents 20 maxextents unlimited 
       optimal 5m )
       tablespace rbs;

alter rollback segment rbs01 online;

drop user user01 cascade;
drop user user02 cascade;
drop user user03 cascade;
drop user user04 cascade;
drop user user05 cascade;
drop user scott  cascade;

rem Default and temporary tablespaces intentionally set to system for user01

create user user01 identified by user01
default tablespace user_data
temporary tablespace temp;

create user user02 identified by user02
default tablespace user_data
temporary tablespace temp;

create user user03 identified by user03
default tablespace user_data
temporary tablespace temp;

create user user04 identified by user04
default tablespace user_data
temporary tablespace temp;

create user user05 identified by user05
default tablespace user_data
temporary tablespace temp;

grant connect, resource to user01,user02,user03,user04,user05;

create user scott identified by tiger
default tablespace user_data
temporary tablespace temp;

grant connect, resource, dba to scott;

connect system/manager
@$ORACLE_HOME/sqlplus/admin/pupbld

alter rollback segment rbs01 offline;
alter rollback segment rbs02 offline;
alter rollback segment rbs03 offline;

drop rollback segment rbs01;
drop rollback segment rbs02;
drop rollback segment rbs03;

create rollback segment rbs01
storage ( initial 10k next 10k minextents 5
              maxextents unlimited optimal 500k )
              tablespace rbs;

create rollback segment rbs02
storage ( initial 10k next 10k minextents 5 
              maxextents unlimited optimal 500k )
              tablespace rbs;

create rollback segment rbs03
storage ( initial 10k next 10k minextents 5
              maxextents unlimited optimal 500k )
              tablespace rbs;

alter rollback segment rbs01 online;
alter rollback segment rbs02 online;
alter rollback segment rbs03 online;

connect / as sysdba
shutdown immediate
startup pfile = init_x.ora
