set concat ,
accept tab_name prompt 'Table Name to ANALYZE?  '
accept own_name prompt 'Name of the owner of the table?  '
analyze table &&own_name.&&tab_name compute statistics;

select table_name, blocks, empty_blocks
from dba_tables
where table_name = '&&tab_name'
and   owner      = '&&own_name';

REM PROCEDURE dbms_space.unused_space
REM  Argument Name                  Type                    In/Out Default?
REM  ------------------------------ ----------------------- ------ --------
REM  SEGMENT_OWNER                  VARCHAR2                IN
REM  SEGMENT_NAME                   VARCHAR2                IN
REM  SEGMENT_TYPE                   VARCHAR2                IN
REM  TOTAL_BLOCKS                   NUMBER                  OUT
REM  TOTAL_BYTES                    NUMBER                  OUT
REM  UNUSED_BLOCKS                  NUMBER                  OUT
REM  UNUSED_BYTES                   NUMBER                  OUT
REM  LAST_USED_EXTENT_FILE_ID       NUMBER                  OUT
REM  LAST_USED_EXTENT_BLOCK_ID      NUMBER                  OUT
REM  LAST_USED_BLOCK                NUMBER                  OUT

variable a number
variable b number
variable c number
variable d number
variable e number
variable f number
variable g number

execute dbms_space.unused_space('&&own_name', '&&tab_name', 'TABLE', :a, :b, :c, :d, :e, :f, :g)

set feedback off
set serveroutput on
exec dbms_output.put_line('TOTAL_BLOCKS = '||:a)
exec dbms_output.put_line('TOTAL_BYTES = '||:b)
exec dbms_output.put_line('UNUSED_BLOCKS = '||:c)
exec dbms_output.put_line('UNUSED_BYTES = '||:d)
exec dbms_output.put_line('LAST_USED_EXTENT_FILE_ID = '||:e)
exec dbms_output.put_line('LAST_USED_EXTENT_BLOCK_ID = '||:f)
exec dbms_output.put_line('LAST_USED_BLOCK = '||:g)
set serveroutput off
set feedback on

alter table &&own_name.&&tab_name deallocate unused keep 10000;

analyze table &&own_name.&&tab_name compute statistics;

select table_name, blocks, empty_blocks 
from dba_tables 
where table_name = '&&tab_name'
and   owner      = '&&own_name';
set concat .
